Bug 1696625 - WebUI export task to contain task UUID
Summary: WebUI export task to contain task UUID
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Tasks Plugin
Version: 6.5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: 6.7.0
Assignee: satellite6-bugs
QA Contact: Peter Dragun
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-05 09:51 UTC by Pavel Moravec
Modified: 2020-04-14 13:24 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:24:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 26544 'Normal' 'Closed' 'Task export to contain tasks UUID' 2019-12-02 12:32:13 UTC
Github theforeman foreman-tasks pull 409 'None' 'closed' 'Fixes #26544 - task export to contain task uuid' 2019-12-02 12:32:12 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:24:19 UTC

Description Pavel Moravec 2019-04-05 09:51:56 UTC
Description of problem:
WebUI task export (not the one in foreman-debug) should contain UUID of the task. That is valuable for unique identification of the task, which further allows possible manipulation of given task (i.e. querying task details via API, cancelling just given task, or so).


Version-Release number of selected component (if applicable):
Sat 6.5 HTB


How reproducible:
100%


Steps to Reproduce:
1. WebUI: Monitor -> Tasks -> (optionally apply some filter) -> Export


Actual results:
Export has columns:
Action	State	Result	Started At	Ended At	User


Expected results:
Export to have columns:
UUID    Action	State	Result	Started At	Ended At	User


Additional info:

Comment 3 Bryan Kearney 2019-06-17 14:07:42 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/26544 has been resolved.

Comment 4 Peter Dragun 2019-12-02 12:08:04 UTC
Verified on Satellite 6.7 snap 4
Export now has 'Id' column with task UUID.

Id,Action,State,Result,Started At,Ended At,User
01c4b03f-3d79-401a-9a3a-d17775f0854e,Subscription expiration notification,stopped,success,2019-11-29 22:13:41 UTC,2019-11-29 22:13:42 UTC,

Comment 7 errata-xmlrpc 2020-04-14 13:24:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.